*{box-sizing:border-box}
#main{
  display:flex;
  justify-content:center;
align-items:center;
  height:100vh
}

#calculator{
display:grid;
grid-template-columns:repeat(5,1fr);
grid-template-rows:repeat(5,1fr);
  grid-template-areas:"display display display display display"
    "num num num ope ope"
    "num num num ope ope"
    "num num num equal equal"
    "sb sb sb equal equal";
border-radius:10px;
box-shadow:0px 0px 20px 1px #545454;
max-height:80vh;
padding:20px;
min-width:30vw;
text-align:center;
}
#display{
  grid-area:display;
  background-color:#e7e7e7;
  border:2px solid grey;
  padding:10px;
  text-align:right;
  border-radius:5px;
  font-size:1.5em;
  font-family: 'Graduate', cursive;
}
#numbers{
  grid-area:num;
  display:grid;
  grid-template-columns:repeat(3,1fr);
}
#specialButtons{
  grid-area:sb;
  display:grid;
  grid-template-columns:repeat(3,1fr);
}
#operations{
  grid-area:ope;
  display:grid;
  grid-template-columns:repeat(2,1fr);
}
#equals{
  grid-area:equal;
}
.btn{
  padding:5px;
  background-color:#f9f9f9;
  border:1px solid grey;
  margin:5px;
  border-radius:5px;
  display:flex;
  justify-content:center;
  align-items:center;
  font-size:1.5em;
  font-weight:bold;
}

.btn:active{
  background-color:#e7e7e7
}